Index: tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/messages/PropertiesUIMessages.java
===================================================================
--- tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/messages/PropertiesUIMessages.java	(revision 1334)
+++ tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/messages/PropertiesUIMessages.java	(revision 1335)
@@ -14,19 +14,19 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.properties.rcp.messages.messages"; //$NON-NLS-1$
 	
-	public static String editor_button_apply;
+	public static String apply; 
 
-	public static String editor_composite_edit_properties;
+	public static String editProperties; 
 
-	public static String editor_label_description;
+	public static String descriptionDDot; 
 
-	public static String editor_label_name;
+	public static String displayedNameDDot; 
 
-	public static String editor_label_v_max;
+	public static String vMax; 
 
-	public static String editor_tooltip_v_max;
+	public static String theMaximumNumberOfWordPropertyValuesToShow; 
 
-	public static String Max_Value_To_Display;
+	public static String maximumValuesToDisplay; 
 
 	
 	static {
Index: tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesEditor.java
===================================================================
--- tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesEditor.java	(revision 1334)
+++ tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesEditor.java	(revision 1335)
@@ -62,27 +62,27 @@
 		Composite parametersArea = this.getExtendedParametersGroup();
 
 		// label
-		new Label(parametersArea, SWT.NONE).setText(PropertiesUIMessages.editor_label_v_max);
+		new Label(parametersArea, SWT.NONE).setText(PropertiesUIMessages.vMax);
 
 		// spinner
 		this.maxPropertiesToDisplay = new Spinner(parametersArea, SWT.BORDER);
-		this.maxPropertiesToDisplay.setToolTipText(PropertiesUIMessages.editor_tooltip_v_max);
+		this.maxPropertiesToDisplay.setToolTipText(PropertiesUIMessages.theMaximumNumberOfWordPropertyValuesToShow);
 		this.maxPropertiesToDisplay.setMinimum(0);
 		RowData gdata = new RowData();
 		gdata.width = 100;
 		this.maxPropertiesToDisplay.setLayoutData(gdata);
 		this.maxPropertiesToDisplay.addSelectionListener(new ComputeSelectionListener(this));
 
-		Group editComposite = this.getTopToolbar().installGroup(PropertiesUIMessages.editor_composite_edit_properties, PropertiesUIMessages.editor_composite_edit_properties, null, null, false);
+		Group editComposite = this.getTopToolbar().installGroup(PropertiesUIMessages.editProperties, PropertiesUIMessages.editProperties, null, null, false);
 		editComposite.setLayout(GLComposite.createDefaultLayout(3));
 
 		Label nameLabel = new Label(editComposite, SWT.NONE);
-		nameLabel.setText(PropertiesUIMessages.editor_label_name);
+		nameLabel.setText(PropertiesUIMessages.displayedNameDDot);
 
 		nameText = new Text(editComposite, SWT.BORDER);
 		nameText.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
 		nameSaveButton = new Button(editComposite, SWT.PUSH);
-		nameSaveButton.setText(PropertiesUIMessages.editor_button_apply);
+		nameSaveButton.setText(PropertiesUIMessages.apply);
 		nameSaveButton.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -99,12 +99,12 @@
 		});
 
 		Label descLabel = new Label(editComposite, SWT.NONE);
-		descLabel.setText(PropertiesUIMessages.editor_label_description);
+		descLabel.setText(PropertiesUIMessages.descriptionDDot);
 
 		descriptionText = new StyledText(editComposite, SWT.BORDER | SWT.V_SCROLL);
 		descriptionText.setLayoutData(GridDataFactory.fillDefaults().hint(400, 100).minSize(400, 100).span(1, 2).create());
 		descriptionSaveButton = new Button(editComposite, SWT.PUSH);
-		descriptionSaveButton.setText(PropertiesUIMessages.editor_button_apply);
+		descriptionSaveButton.setText(PropertiesUIMessages.apply);
 		descriptionSaveButton.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -151,4 +151,4 @@
 	public void updateResultFromEditor() {
 		// nothing to do
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.translate.rcp/remove translations.txt
===================================================================
--- tmp/org.txm.translate.rcp/remove translations.txt	(revision 0)
+++ tmp/org.txm.translate.rcp/remove translations.txt	(revision 1335)
@@ -0,0 +1,6 @@
+Initializing project messages...
+ .........|.........|.........|.........|.........|.........|.........|.........|.........|.........|
+
+org.txm.ca.rcp.messages.CAUIMessages 4 _ru keys removed: [CorrespondanceAnalysisEditorInput_26, CorrespondanceAnalysisEditorInput_27, CorrespondanceAnalysisEditorInput_29, CorrespondanceAnalysisEditorInput_30]
+Done: 4 keys removed.
+

Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationActionBarAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationActionBarAdvisor.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationActionBarAdvisor.java	(revision 1335)
@@ -91,13 +91,13 @@
 	protected void makeActions(IWorkbenchWindow window) {
 
 		preferenceAction = ActionFactory.PREFERENCES.create(window);
-		preferenceAction.setText(TXMUIMessages.Preferences_Menu_Label);
+		preferenceAction.setText(TXMUIMessages.preferences);
 		register(preferenceAction);
 		exitAction = ActionFactory.QUIT.create(window);
-		exitAction.setText(TXMUIMessages.Exit_Menu_Label);
+		exitAction.setText(TXMUIMessages.exit);
 		register(exitAction);
 		aboutAction = ActionFactory.ABOUT.create(window);
-		aboutAction.setText(TXMUIMessages.About_Menu_Label);
+		aboutAction.setText(TXMUIMessages.aboutTXM);
 		register(aboutAction);
 		deleteAction = ActionFactory.DELETE.create(window);
 		// register(deleteAction);
@@ -193,4 +193,4 @@
 		trayItem.add(aboutAction);
 		trayItem.add(exitAction);
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportSelectedText.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportSelectedText.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportSelectedText.java	(revision 1335)
@@ -70,17 +70,17 @@
 			System.out.println("No copied text. Aborting.");
 			return null;
 		}
-		System.out.println(TXMUIMessages.ImportSelectedText_0);
+		System.out.println(TXMUIMessages.importClipboardText);
 
 		try {
-			String corpusName = TXMUIMessages.ImportSelectedText_1.toUpperCase()+(nextclipcorpus++);
+			String corpusName = TXMUIMessages.clipboard_2.toUpperCase()+(nextclipcorpus++);
 			File wl = Toolbox.workspace.getLocation();
 			if (wl == null) {
 				System.out.println("Error: Toolbox not correctly initialized. Aborting clipboard import.");
 				return null;
 			}
 			while (new File(wl, corpusName).exists()) {
-				corpusName = TXMUIMessages.ImportSelectedText_1.toUpperCase()+(nextclipcorpus++);
+				corpusName = TXMUIMessages.clipboard_2.toUpperCase()+(nextclipcorpus++);
 			}
 			importText(result, corpusName);
 			
@@ -102,7 +102,7 @@
 	public static Object importText(String text, String basename) throws Exception {
 		basename = basename.toUpperCase();
 		if (text.length() == 0) {
-			System.err.println(TXMUIMessages.ImportSelectedText_2);
+			System.err.println(TXMUIMessages.clipboardIsEmpty);
 			return null;
 		}
 		String txmhome = Toolbox.getTxmHomePath();
@@ -112,8 +112,8 @@
 		if (CorpusManager.getCorpusManager().hasCorpus(clipboardDirectory.getName())) {
 			Shell shell = new Shell();
 			boolean b = MessageDialog.openConfirm(shell,
-					TXMUIMessages.ImportSelectedText_3,
-					NLS.bind(TXMUIMessages.ImportSelectedText_4, clipboardDirectory.getName()));
+					TXMUIMessages.confirm,
+					NLS.bind(TXMUIMessages.theCorpusAndTheCorpusP0WillBeDeleted, clipboardDirectory.getName()));
 			if (!b)
 				return null;
 		}
@@ -148,12 +148,12 @@
 		if ("??".equals(lang)) { //$NON-NLS-1$
 			LangDetector detector = new LangDetector(quicksrc);
 			lang = detector.getLang();
-			System.out.println(TXMUIMessages.ImportSelectedText_10+lang);
+			System.out.println(TXMUIMessages.identifiedLanguage+lang);
 		}
 		project.setLang(lang); //$NON-NLS-1$
-		System.out.println(TXMUIMessages.ImportSelectedText_12+project.getLang()); //$NON-NLS-1$
+		System.out.println(TXMUIMessages.usingLanguage+project.getLang()); //$NON-NLS-1$
 		
 		ExecuteImportScript.executeScript(project); 
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ShowSelected.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ShowSelected.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ShowSelected.java	(revision 1335)
@@ -56,7 +56,7 @@
 			
 			if (elem instanceof File) {
 				File f = (File)elem;
-				System.out.println(TXMUIMessages.ShowSelected_0);
+				System.out.println(TXMUIMessages.fileDDot);
 				System.out.println(" path="+f.getAbsolutePath());
 				System.out.println(" size="+f.length()/1000+" kb");
 				System.out.println(" rights: read="+f.canRead()+" write="+f.canWrite()+" execute="+f.canExecute());
@@ -66,4 +66,4 @@
 		}
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CleanPerspective.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CleanPerspective.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CleanPerspective.java	(revision 1335)
@@ -42,13 +42,13 @@
 			try {
 				handlerService.executeCommand("org.eclipse.ui.window.resetPerspective", null); //$NON-NLS-1$
 			} catch (Exception e) {
-				System.out.println(TXMUIMessages.CleanPerspective_1+e);
+				System.out.println(TXMUIMessages.errorWhileCallingOrgeclipseuiwindowresetPerspectiveDDot+e);
 				Log.printStackTrace(e);
 			}
 		} else {
-			System.out.println(TXMUIMessages.CleanPerspective_2);
+			System.out.println(TXMUIMessages.errorWhileCleaningPerspectiveDDotNoHandlerServiceFound);
 		}
 		
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenSVGGraph.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenSVGGraph.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenSVGGraph.java	(revision 1335)
@@ -86,7 +86,7 @@
 	 * @return the sVG graphic editor
 	 */
 	public static SVGGraphicEditor OpenSVGFile(String filepath) {
-		return OpenSVGFile(filepath, TXMUIMessages.OpenSVGGraph_0);
+		return OpenSVGFile(filepath, TXMUIMessages.sVGGraphic);
 	}
 
 	/**
@@ -114,4 +114,4 @@
 		}
 		return editor;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java	(revision 1335)
@@ -179,8 +179,8 @@
 			editor.setPartName(editorname);
 			return editor;
 		} catch (Exception e) {
-			Log.severe(TXMUIMessages.bind(TXMUIMessages.OpenBrowser_0, e.toString(), filepath));
-			System.out.println(TXMUIMessages.bind(TXMUIMessages.OpenBrowser_0, e.toString(), filepath));
+			Log.severe(TXMUIMessages.bind(TXMUIMessages.errorWhileOpeningBibliographicRecordP0WithURLEqualsP1, e.toString(), filepath));
+			System.out.println(TXMUIMessages.bind(TXMUIMessages.errorWhileOpeningBibliographicRecordP0WithURLEqualsP1, e.toString(), filepath));
 		}
 		return null;
 	}
@@ -215,9 +215,9 @@
 
 			return editor;
 		} catch (Exception e) {
-			Log.severe(TXMUIMessages.bind(TXMUIMessages.OpenBrowser_0, e.toString(), filepath));
-			System.out.println(TXMUIMessages.bind(TXMUIMessages.OpenBrowser_0, e.toString(), filepath));
+			Log.severe(TXMUIMessages.bind(TXMUIMessages.errorWhileOpeningBibliographicRecordP0WithURLEqualsP1, e.toString(), filepath));
+			System.out.println(TXMUIMessages.bind(TXMUIMessages.errorWhileOpeningBibliographicRecordP0WithURLEqualsP1, e.toString(), filepath));
 		}
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SaveAs.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SaveAs.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SaveAs.java	(revision 1335)
@@ -89,10 +89,10 @@
 					EditFile.openfile(resultFile);
 					Explorer.refresh();
 				} catch (Exception e) {
-					System.out.println(TXMUIMessages.SaveAs_2+resultFile+TXMUIMessages.PasteFile_4+e);
+					System.out.println(TXMUIMessages.failedToSaveAs+resultFile+TXMUIMessages.dDot+e);
 				}
 			}
 		}
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SetEncoding.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SetEncoding.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SetEncoding.java	(revision 1335)
@@ -68,7 +68,7 @@
 			if (currentEncoding == null) currentEncoding = defaultEncoding;
 			Shell sh = new Shell();
 			InputDialog dlg = new InputDialog(sh,
-					TXMUIMessages.SetEncoding_0, TXMUIMessages.SetEncoding_1+currentEncoding+TXMUIMessages.SetEncoding_2+defaultEncoding, currentEncoding, null);
+					TXMUIMessages.changeCharactersEncoding, TXMUIMessages.changeCharactersEncodingCurrentEncodingDDot+currentEncoding+TXMUIMessages.defaultEncodingDDot+defaultEncoding, currentEncoding, null);
 			if (dlg.open() == Window.OK) {
 				String newEncoding = dlg.getValue();
 				if (newEncoding != null && newEncoding.trim().length() > 0 && !newEncoding.trim().equals(currentEncoding)) {
@@ -79,4 +79,4 @@
 			org.txm.rcp.utils.Logger.printStackTrace(e);
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java	(revision 1335)
@@ -63,7 +63,7 @@
 			protected IStatus run(IProgressMonitor monitor) {
 				JobsTimer.start();
 				try {
-					monitor.beginTask(TXMUIMessages.RestartTXM_1, 100);
+					monitor.beginTask(TXMUIMessages.restartTXM, 100);
 					//Toolbox.updateProperties(TxmPreferences.getProperties());
 					Toolbox.restart();
 
@@ -76,7 +76,7 @@
 					});
 
 				} catch (Exception e) {
-					System.out.println(NLS.bind(TXMUIMessages.RunGroovyScript_8, e));
+					System.out.println(NLS.bind(TXMUIMessages.errorWhileRunningScriptDDotP0, e));
 					org.txm.rcp.utils.Logger.printStackTrace(e);
 				} finally {
 					monitor.done();
@@ -104,4 +104,4 @@
 		//System.err.println(Messages.AddBase_10);
 		//StatusLine.setMessage(Messages.AddBase_10);
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 1335)
@@ -170,12 +170,12 @@
 				engine.stop();
 			}
 			
-			monitor.beginTask(TXMUIMessages.AddBase_27, 100);
+			monitor.beginTask(TXMUIMessages.loadingBinaryCorpus, 100);
 			job.acquireSemaphore();
 			Toolbox.getEngineManager(EngineType.SEARCH).stopEngines();
 			job.releaseSemaphore();
 
-			monitor.subTask(TXMUIMessages.AddBase_32);
+			monitor.subTask(TXMUIMessages.loadingTheCorpusInThePlatform);
 			for (File corpusDirectory : corporaDirectory.listFiles()) {
 				
 				if (corpusDirectory.isHidden()) continue;
@@ -202,7 +202,7 @@
 				}
 			}
 
-			monitor.subTask(TXMUIMessages.AddBase_33);
+			monitor.subTask(TXMUIMessages.restartingThePlatform);
 			
 		} catch (ThreadDeath td) { 
 		} catch (Exception e2) {
@@ -213,4 +213,4 @@
 		
 		return projects;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java	(revision 1335)
@@ -76,8 +76,8 @@
 		}
 
 		//ZIPPED FILE
-		monitor.beginTask(TXMUIMessages.AddBase_27, 100);
-		monitor.subTask(TXMUIMessages.AddBase_28);
+		monitor.beginTask(TXMUIMessages.loadingBinaryCorpus, 100);
+		monitor.subTask(TXMUIMessages.extractingBinaryCorpus);
 		try {
 			//System.out.println(NLS.bind(Messages.AddBase_29, zipFile, corporaDir));
 			Zip.decompress(zipFile, corporaDir, false, monitor);
@@ -86,13 +86,13 @@
 				basedirname = basedirname.toUpperCase();
 			}
 		} catch (Exception e) {
-			System.out.println(NLS.bind(TXMUIMessages.AddBase_31, e));
+			System.out.println(NLS.bind(TXMUIMessages.couldNotUnzipBinaryCorpusDDot, e));
 			org.txm.rcp.utils.Logger.printStackTrace(e);
 			return null;
 		}
 		monitor.worked(50);
 
-		monitor.subTask(TXMUIMessages.AddBase_32);
+		monitor.subTask(TXMUIMessages.loadingTheCorpusInThePlatform);
 		return loadBinaryCorpusAsDirectory(new File(corporaDir, basedirname), monitor);
 	}
 
@@ -106,8 +106,8 @@
 	 */
 	public static Project loadBinaryCorpusAsDirectory(File binCorpusDirectory, IProgressMonitor monitor) throws Exception {
 		if (!(binCorpusDirectory.exists() && binCorpusDirectory.isDirectory())) {
-			Log.severe(NLS.bind(TXMUIMessages.AddBase_24, binCorpusDirectory.getAbsolutePath()));
-			System.out.println(NLS.bind(TXMUIMessages.AddBase_24, binCorpusDirectory.getAbsolutePath()));
+			Log.severe(NLS.bind(TXMUIMessages.failedToLoadCorpusP0, binCorpusDirectory.getAbsolutePath()));
+			System.out.println(NLS.bind(TXMUIMessages.failedToLoadCorpusP0, binCorpusDirectory.getAbsolutePath()));
 			return null; 
 		}
 
@@ -117,7 +117,7 @@
 		txmcorpora.mkdir();
 		Project project = Toolbox.workspace.scanDirectory079(binCorpusDirectory);
 		if (project == null) {
-			Log.severe(NLS.bind(TXMUIMessages.AddBase_2, binCorpusDirectory)); 
+			Log.severe(NLS.bind(TXMUIMessages.failedToLoadCorpusFromDirectoryDDotP0WeCannotFindTheNecessaryComponents, binCorpusDirectory)); 
 			return null;
 		}
 		
@@ -131,4 +131,4 @@
 		//Toolbox.workspace.save();
 		return project;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 1335)
@@ -116,13 +116,13 @@
 		corporaDir.mkdir();
 
 		if (!filename.endsWith(".txm") && !filename.endsWith(".zip")) { //$NON-NLS-1$ //$NON-NLS-2$
-			System.out.println(TXMUIMessages.AddBase_25);
-			System.out.println(NLS.bind(TXMUIMessages.AddBase_22, zipFile));
+			System.out.println(TXMUIMessages.aBinaryCorpusIsATXMFileExtensionTxmOrZip);
+			System.out.println(NLS.bind(TXMUIMessages.thisFileIsNotATXMFileDDotP0, zipFile));
 			return false;
 		}
 
 		if (!zipFile.canRead()) {
-			System.out.println(NLS.bind(TXMUIMessages.AddBase_17, zipFile));
+			System.out.println(NLS.bind(TXMUIMessages.cannotReadTheFileP0, zipFile));
 			return false;
 		}
 		
@@ -140,7 +140,7 @@
 		Project p = Toolbox.workspace.getProject(basedirname);
 		
 		if (corpusdir.exists() || p != null) {
-			boolean b = MessageDialog.openConfirm(Display.getCurrent().getActiveShell(), TXMUIMessages.AddBase_19, NLS.bind(TXMUIMessages.AddBase_20, corpusdir.getName().toUpperCase()));
+			boolean b = MessageDialog.openConfirm(Display.getCurrent().getActiveShell(), TXMUIMessages.warning, NLS.bind(TXMUIMessages.theP0CorpusDirectoryAlreadyExistsDoYouWantToReplaceIt, corpusdir.getName().toUpperCase()));
 			if (b) {
 				//TODO: to enable backup of binary corpus I need to be able to reload correctly a corpus in CQP corpus manager
 //				backup = new File(corpusdir.getParentFile(), corpusdir.getName()+"-back"); //$NON-NLS-1$
@@ -183,7 +183,7 @@
 
 		// scan dir
 		JobHandler jobhandler = new JobHandler(
-				NLS.bind(TXMUIMessages.AddBase_1, corpusdir.getName())) {
+				NLS.bind(TXMUIMessages.newCorpusDDotP0, corpusdir.getName())) {
 			@Override
 			protected IStatus run(final IProgressMonitor monitor) {
 				this.runInit(monitor);
@@ -294,8 +294,8 @@
 	 */
 	public static Project loadBinaryCorpusAsDirectory(File corpusDirectory, IProgressMonitor monitor) throws Exception {
 		if (!(corpusDirectory.exists() && corpusDirectory.isDirectory())) {
-			Log.severe(NLS.bind(TXMUIMessages.AddBase_24, corpusDirectory.getAbsolutePath()));
-			System.out.println(NLS.bind(TXMUIMessages.AddBase_24, corpusDirectory.getAbsolutePath()));
+			Log.severe(NLS.bind(TXMUIMessages.failedToLoadCorpusP0, corpusDirectory.getAbsolutePath()));
+			System.out.println(NLS.bind(TXMUIMessages.failedToLoadCorpusP0, corpusDirectory.getAbsolutePath()));
 			return null; 
 		}
 
@@ -310,7 +310,7 @@
 //		txmcorpora.mkdir();
 //		Project base = Toolbox.workspace.scanDirectory(binCorpusDirectory);
 //		if (base == null) {
-//			Log.severe(NLS.bind(TXMUIMessages.AddBase_2, binCorpusDirectory)); 
+//			Log.severe(NLS.bind(TXMUIMessages.failedToLoadCorpusFromDirectoryDDotP0WeCannotFindTheNecessaryComponents, binCorpusDirectory)); 
 //			return null;
 //		}
 //
@@ -344,4 +344,4 @@
 		
 		return project;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 1335)
@@ -54,8 +54,8 @@
 	 */
 	public static Project loadBinaryCorpus(File zipFile, IProgressMonitor monitor) throws Exception {
 		//ZIPPED FILE
-		if (monitor != null) monitor.beginTask(TXMUIMessages.AddBase_27, 100);
-		if (monitor != null) monitor.subTask(TXMUIMessages.AddBase_28);
+		if (monitor != null) monitor.beginTask(TXMUIMessages.loadingBinaryCorpus, 100);
+		if (monitor != null) monitor.subTask(TXMUIMessages.extractingBinaryCorpus);
 		
 		String basedirname = Zip.getRoot(zipFile);
 		
@@ -74,16 +74,16 @@
 			//System.out.println(NLS.bind(Messages.AddBase_29, zipFile, corporaDir));
 			Zip.decompress(zipFile, Toolbox.workspace.getLocation(), false, monitor);
 		} catch (Exception e) {
-			System.out.println(NLS.bind(TXMUIMessages.AddBase_31, e));
+			System.out.println(NLS.bind(TXMUIMessages.couldNotUnzipBinaryCorpusDDot, e));
 			org.txm.rcp.utils.Logger.printStackTrace(e);
 			return null;
 		}
 		if (monitor != null) monitor.worked(50);
 
-		if (monitor != null) monitor.subTask(TXMUIMessages.AddBase_32);
+		if (monitor != null) monitor.subTask(TXMUIMessages.loadingTheCorpusInThePlatform);
 		Project newProject = loadBinaryCorpusAsDirectory(new File(Toolbox.workspace.getLocation(), basedirname));
 		if (newProject == null) {
-			System.out.println(TXMUIMessages.AddBase_4);
+			System.out.println(TXMUIMessages.failedToLoadBinaryCorpusNullError);
 			return null;
 		}
 		
@@ -100,8 +100,8 @@
 	 */
 	public static Project loadBinaryCorpusAsDirectory(File binCorpusDirectory) throws Exception {
 		if (!(binCorpusDirectory.exists() && binCorpusDirectory.isDirectory())) {
-			Log.severe(NLS.bind(TXMUIMessages.AddBase_24, binCorpusDirectory.getAbsolutePath()));
-			System.out.println(NLS.bind(TXMUIMessages.AddBase_24, binCorpusDirectory.getAbsolutePath()));
+			Log.severe(NLS.bind(TXMUIMessages.failedToLoadCorpusP0, binCorpusDirectory.getAbsolutePath()));
+			System.out.println(NLS.bind(TXMUIMessages.failedToLoadCorpusP0, binCorpusDirectory.getAbsolutePath()));
 			return null; 
 		}
 
@@ -109,11 +109,11 @@
 		txmcorpora.mkdir();
 		Project base = Toolbox.workspace.scanDirectory(binCorpusDirectory);
 		if (base == null) {
-			Log.severe(NLS.bind(TXMUIMessages.AddBase_2, binCorpusDirectory)); 
+			Log.severe(NLS.bind(TXMUIMessages.failedToLoadCorpusFromDirectoryDDotP0WeCannotFindTheNecessaryComponents, binCorpusDirectory)); 
 			return null;
 		}
 
 		Toolbox.workspace.saveParameters();
 		return base;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java	(revision 1335)
@@ -55,7 +55,7 @@
 
 						Project base = LoadBinaryCorpus.loadBinaryCorpusAsDirectory(outdir, monitor);
 						if (base == null) {
-							System.out.println(TXMUIMessages.ConvertCorpus_0);
+							System.out.println(TXMUIMessages.corpusConversionFailed);
 							return Status.CANCEL_STATUS;
 						}
 						
@@ -72,7 +72,7 @@
 						});
 						
 					} catch (Throwable e) {
-						System.out.println(NLS.bind(TXMUIMessages.RunGroovyScript_8,
+						System.out.println(NLS.bind(TXMUIMessages.errorWhileRunningScriptDDotP0,
 								e));
 						org.txm.rcp.utils.Logger.printStackTrace(e);
 					} finally {
@@ -91,4 +91,4 @@
 		jobhandler.startJob();
 		return event;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenGraph.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenGraph.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenGraph.java	(revision 1335)
@@ -147,7 +147,7 @@
 		else
 		{
 			if (!OpenURI.open(graphfile))
-				System.out.println(NLS.bind(TXMUIMessages.OpenGraph_8, graphfile.getAbsolutePath()));
+				System.out.println(NLS.bind(TXMUIMessages.cantOpenGraphicP0, graphfile.getAbsolutePath()));
 			return null;
 		}
 	}
@@ -198,4 +198,4 @@
 //		return OpenFile(file.getAbsolutePath(), name, device, image);
 //	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchWindowAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchWindowAdvisor.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchWindowAdvisor.java	(revision 1335)
@@ -87,11 +87,11 @@
 		configurer.setShowFastViewBars(false);
 		configurer.setShowProgressIndicator(true);
 		configurer.setShowPerspectiveBar(true);
-		configurer.setTitle(TXMUIMessages.Explorer_3);
+		configurer.setTitle(TXMUIMessages.tXM);
 		
 
 		// This is a patch to remove the Quick Search Field and spacers from the Main toolbar
-		Log.warning(TXMUIMessages.ApplicationWorkbenchWindowAdvisor_0);
+		Log.warning(TXMUIMessages.removeUnnecessaryE4Elements);
 		IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
 		if (window instanceof WorkbenchWindow) {
 			MWindow model = ((WorkbenchWindow) window).getModel();
@@ -131,7 +131,7 @@
 	 */
 	@Override
 	public void postWindowOpen() {
-		Log.warning(TXMUIMessages.ApplicationWorkbenchWindowAdvisor_9);
+		Log.warning(TXMUIMessages.settingStatusLineAndConfiguringActionSets);
 		StatusLine.set(getWindowConfigurer().getActionBarConfigurer().getStatusLineManager());
 		IWorkbenchPage page = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage();
 		page.hideActionSet("org.eclipse.ui.edit.text.actionSet.navigation"); //$NON-NLS-1$
@@ -164,4 +164,4 @@
 //			}
 //		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/JobsTimer.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/JobsTimer.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/JobsTimer.java	(revision 1335)
@@ -33,18 +33,18 @@
 	private static String setMessage() {
 		t = time;
 		if (t < 1000) {
-			message = ""+((int)t)+TXMUIMessages.JobsTimer_2; //$NON-NLS-1$
+			message = ""+((int)t)+TXMUIMessages.msec; //$NON-NLS-1$
 		} else {
 			t = t/1000;
 			if (t < 3) {
 				message = ""+t; //$NON-NLS-1$
-				message = ""+(message.substring(0, 3))+TXMUIMessages.JobsTimer_5; //$NON-NLS-1$
+				message = ""+(message.substring(0, 3))+TXMUIMessages.sec; //$NON-NLS-1$
 			} else if (t < 60) 
-				message = ""+((int)t)+TXMUIMessages.JobsTimer_5; //$NON-NLS-1$
+				message = ""+((int)t)+TXMUIMessages.sec; //$NON-NLS-1$
 			else if (t < 3600) {
-				message = ""+((int)t/60)+TXMUIMessages.JobsTimer_9+((int)t%60)+TXMUIMessages.JobsTimer_5; //$NON-NLS-1$
+				message = ""+((int)t/60)+TXMUIMessages.minAnd+((int)t%60)+TXMUIMessages.sec; //$NON-NLS-1$
 			} else { 
-				message = ""+((int)t/3600)+TXMUIMessages.JobsTimer_12+((int)(t%3600)/60)+TXMUIMessages.JobsTimer_13+((int)(t%3600)%60)+ TXMUIMessages.JobsTimer_5; //$NON-NLS-1$
+				message = ""+((int)t/3600)+TXMUIMessages.h+((int)(t%3600)/60)+TXMUIMessages.minAnd+((int)(t%3600)%60)+ TXMUIMessages.sec; //$NON-NLS-1$
 			}
 		}
 		return message;
@@ -56,8 +56,8 @@
 	
 	public static void stopAndPrint() {
 		if (TBXPreferences.getInstance().getBoolean(TBXPreferences.SHOW_TIMINGS)) {
-			if (time <= 1000) System.out.println(NLS.bind(TXMUIMessages.JobsTimer_15, stop(),(int)time));
-			else System.out.println(NLS.bind(TXMUIMessages.JobsTimer_19, stop()));
+			if (time <= 1000) System.out.println(NLS.bind(TXMUIMessages.doneInP0P1, stop(),(int)time));
+			else System.out.println(NLS.bind(TXMUIMessages.doneInP0, stop()));
 		}
 	}
 
@@ -66,7 +66,7 @@
 		Thread.sleep(1000);
 		JobsTimer.start();
 		Thread.sleep(1000);
-		System.out.println(TXMUIMessages.JobsTimer_20+JobsTimer.stop());
-		System.out.println(TXMUIMessages.JobsTimer_21+ExecTimer.stop());
+		System.out.println(TXMUIMessages.jobDDot+JobsTimer.stop());
+		System.out.println(TXMUIMessages.execDDot+ExecTimer.stop());
 	}
-}
+}
\ No newline at end of file
